import { RefreshEventsHandlerService } from './types';
import ActionPermissionService from '../permissions/action-permission';
import RenderingPermissionService from '../permissions/rendering-permission';
import UserPermissionService from '../permissions/user-permission';
export default class NativeRefreshEventsHandlerService implements RefreshEventsHandlerService {
    private readonly actionPermissionService;
    private readonly usersPermissionService;
    private readonly renderingPermissionService;
    private readonly eventEmitter;
    constructor(actionPermissionService: ActionPermissionService, usersPermissionService: UserPermissionService, renderingPermissionService: RenderingPermissionService);
    refreshUsers(): void;
    refreshRoles(): void;
    refreshRenderings(renderingIds: (string | number)[]): void;
    refreshCustomizations(): void;
    onRefreshCustomizations(handler: () => void | Promise<void>): void;
    refreshEverything(): void;
}
//# sourceMappingURL=native-refresh-events-handler-service.d.ts.map