import { CollectionRenderingPermissionV4, RawTree, Team, UserPermissionV4 } from './types';
import UserPermissionService from './user-permission';
import { Chart } from '../charts/types';
import { servequeryClientOptionsWithDefaults, servequeryServerInterface } from '../types';
export type RenderingPermission = {
    team: Team;
    collections: Record<string, CollectionRenderingPermissionV4>;
    charts: Set<string>;
};
export default class RenderingPermissionService {
    private readonly options;
    private readonly userPermissions;
    private readonly servequeryServerInterface;
    private readonly permissionsByRendering;
    constructor(options: servequeryClientOptionsWithDefaults, userPermissions: UserPermissionService, servequeryServerInterface: servequeryServerInterface);
    getScope({ renderingId, collectionName, userId, }: {
        renderingId: number | string;
        collectionName: string;
        userId: number | string;
    }): Promise<RawTree>;
    private getScopeOrRetry;
    canExecuteSegmentQuery({ renderingId, collectionName, segmentQuery, userId, }: {
        renderingId: number | string;
        collectionName: string;
        segmentQuery: string;
        userId: number;
    }): Promise<boolean>;
    private canExecuteSegmentQueryOrRetry;
    private loadPermissions;
    private isQueryChart;
    canExecuteChart({ renderingId, chartRequest, userId, }: {
        renderingId: number | string;
        chartRequest: Chart;
        userId: number | string;
    }): Promise<boolean>;
    private canRetrieveChartHashOrRetry;
    invalidateCache(renderingId: number | string): void;
    invalidateAllCache(): void;
    getUser(userId: number | string): Promise<UserPermissionV4>;
    getTeam(renderingId: number | string): Promise<Team>;
}
//# sourceMappingURL=rendering-permission.d.ts.map