import { EnvironmentPermissionsV4, RenderingPermissionV4, UserPermissionV4 } from './types';
import { ModelCustomization } from '../model-customizations/types';
import { servequeryAuthServiceInterface, servequeryClientOptions, servequeryClientOptionsWithDefaults, servequeryServerInterface } from '../types';
export type HttpOptions = Pick<servequeryClientOptionsWithDefaults, 'envSecret' | 'servequeryServerUrl'>;
export default class ServequeryHttpApi implements servequeryServerInterface {
    getEnvironmentPermissions(options: HttpOptions): Promise<EnvironmentPermissionsV4>;
    getUsers(options: HttpOptions): Promise<UserPermissionV4[]>;
    getRenderingPermissions(renderingId: number, options: HttpOptions): Promise<RenderingPermissionV4>;
    getModelCustomizations(options: HttpOptions): Promise<ModelCustomization[]>;
    makeAuthService(options: Required<servequeryClientOptions>): servequeryAuthServiceInterface;
}
//# sourceMappingURL=servequeryhttp-api.d.ts.map