import ChartHandler from './charts/chart-handler';
import { BaseEventsSubscriptionService, RefreshEventsHandlerService } from './events-subscription/types';
import IpWhiteListService from './ip-whitelist';
import { IpWhitelistConfiguration } from './ip-whitelist/types';
import { ModelCustomizationService } from './model-customizations/types';
import RenderingPermissionService from './permissions/rendering-permission';
import { RawTree } from './permissions/types';
import SchemaService from './schema';
import { ServequerySchema } from './schema/types';
import { servequeryAuthServiceInterface, servequeryClient, servequeryClientOptionsWithDefaults, PermissionService } from './types';
import ContextVariablesInstantiator from './utils/context-variables-instantiator';
export default class servequeryClientWithCache implements servequeryClient {
    protected readonly options: servequeryClientOptionsWithDefaults;
    readonly permissionService: PermissionService;
    protected readonly renderingPermissionService: RenderingPermissionService;
    readonly contextVariablesInstantiator: ContextVariablesInstantiator;
    readonly chartHandler: ChartHandler;
    protected readonly ipWhitelistService: IpWhiteListService;
    protected readonly schemaService: SchemaService;
    readonly authService: servequeryAuthServiceInterface;
    readonly modelCustomizationService: ModelCustomizationService;
    protected readonly eventsSubscription: BaseEventsSubscriptionService;
    protected readonly eventsHandler: RefreshEventsHandlerService;
    constructor(options: servequeryClientOptionsWithDefaults, permissionService: PermissionService, renderingPermissionService: RenderingPermissionService, contextVariablesInstantiator: ContextVariablesInstantiator, chartHandler: ChartHandler, ipWhitelistService: IpWhiteListService, schemaService: SchemaService, authService: servequeryAuthServiceInterface, modelCustomizationService: ModelCustomizationService, eventsSubscription: BaseEventsSubscriptionService, eventsHandler: RefreshEventsHandlerService);
    verifySignedActionParameters<TSignedParameters>(signedParameters: string): TSignedParameters;
    getIpWhitelistConfiguration(): Promise<IpWhitelistConfiguration>;
    postSchema(schema: ServequerySchema): Promise<boolean>;
    getScope({ renderingId, userId, collectionName, }: {
        renderingId: number | string;
        userId: number | string;
        collectionName: string;
    }): Promise<RawTree>;
    markScopesAsUpdated(renderingId: number | string): void;
    subscribeToServerEvents(): Promise<void>;
    close(): void;
    onRefreshCustomizations(handler: () => void | Promise<void>): void;
}
//# sourceMappingURL=servequery-client-with-cache.d.ts.map