import type { AggregatedChart, ApiRouteChart, Chart, FilterableChart, GroupedByChart, LeaderboardChart, LineChart, ObjectiveChart } from '../charts/types';
export default class ChartDetector {
    static isAPIRouteChart(chart: Chart): chart is ApiRouteChart;
    static isLineChart(chart: Chart): chart is LineChart;
    static isObjectiveChart(chart: Chart): chart is ObjectiveChart;
    static isLeaderboardChart(chart: Chart): chart is LeaderboardChart;
    static isFilterableChart(chart: Chart): chart is FilterableChart & Chart;
    static isAggregatedChart(chart: Chart): chart is AggregatedChart & Chart;
    static isGroupedByChart(chart: Chart): chart is GroupedByChart & Chart;
}
//# sourceMappingURL=chart-detector.d.ts.map